<template>
    <div class="login">
        <v-app>
            <v-container>
                <v-layout>
                    <v-flex xs3>
                        <router-link :to="{ name: 'home', }">
                            <v-btn color="info" small>
                                <v-icon color='white'>arrow_back</v-icon>
                            </v-btn>
                        </router-link>
                    </v-flex>
                    <v-flex xs3>
                        <div>
                            <h2 class="text-xs-center">Login</h2>
                            <v-form
                                    ref="form"
                                    v-model="valid"
                                    lazy-validation
                            >
                                <v-text-field
                                        v-model="email"
                                        :rules="emailRules"
                                        label="E-mail"
                                        required
                                ></v-text-field>
                                <v-text-field
                                        v-model="password"
                                        :rules="passwordRules"
                                        label="Password"
                                        :type="'password'"
                                        required
                                ></v-text-field>
                                <v-btn
                                        :disabled="!valid"
                                        color="info"
                                        @click="validate"
                                >
                                    Submit
                                </v-btn>
                            </v-form>
                        </div>
                    </v-flex>
                </v-layout>
            </v-container>
        </v-app>
    </div>
</template>

<script>
    export default {
        data () {
            return {
                valid: true,
                status: this.$route.params.status,
                email: '',
                emailRules: [
                    v => !!v || 'E-mail is required',
                    v => /.+@.+/.test(v) || 'E-mail must be valid'
                ],
                password: '',
                passwordRules: [
                    v => !!v || 'Password is required',
                    v => (v && v.length >= 6) || 'Password must be more than 5 characters',
                ],
            }
        },
        methods: {
            validate () {
                let value = { email: this.email , password: this.password };
                if ( this.$refs.form.validate() ) {
                    this.axios.post('/login', value, { headers: { 'X-Requested-With' : 'XMLHttpRequest'} }).then(function (response) {
                        localStorage.setItem('token', JSON.stringify(response.data.token));
                        console.log(response.data);
                    });
                  this.$router.push({name: 'home'});
                }
            },
        },
    }
</script>